<template lang="pug">
.page-cont
  .page-header(v-observe-visibility="visibilityChanged")
    .page-header__img(v-if="hero_image")
      .page-header__img-line
      img(:src="hero_image" alt="")

    .container
      .page-header__go-back(v-if="hasPrevPage")
        span(
          @click="$router.back()"
        ) {{ $t('forms.buttons.back') }}

      h1.page-header__title(v-if="title || title_right")
        | {{ title || '' }}
        |
        span(v-if="title_right") {{ title_right }}

  .article-container.container
    article.article
      .html-block.html-block--lg.html-block--black(v-if="content" v-html="content")

      .html-block.html-block--lg(
        v-for="section in sections"
        :key="section.id"
      )
        h5(v-if="section.title")
          div(v-html="section.title")
        div(v-if="section.content" v-html="section.content")
</template>

<script>
import API from '@/api'
import { pageMixin } from '@/mixins/pages'
import { visibilityMixin } from '@/mixins/visibility'
import { fetchPage } from '@/utils/asyncPages'
import { hasPrevPageMixin } from '@/mixins/has-prev-page'

export default {
  name: 'IndexPage',

  async asyncData ({ app, error, params }) {
    return fetchPage(app, error, API.pages.flatpage(params.slug))
  },

  layout: 'white-header',
  mixins: [hasPrevPageMixin, pageMixin, visibilityMixin],

  validate ({ params }) {
    return !!params.slug
  }
}
</script>
